# bigip_traffic_selector – Manage IPSec Traffic Selectors on BIG-IP

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manage IPSec Traffic Selectors on BIG-IP.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
description string |  | Description of the traffic selector.
destination_address string |  | Specifies the host or network IP address to which the application traffic is destined. When creating a new traffic selector, this parameter is required.
ipsec_policy string |  | Specifies the IPsec policy that tells the BIG-IP system how to handle the packets. When creating a new traffic selector, if this parameter is not specified, the default is `default-ipsec-policy`.
name string / required |  | Specifies the name of the traffic selector.
order integer |  | Specifies the order in which traffic is matched, if traffic can be matched to multiple traffic selectors. Traffic is matched to the traffic selector with the highest priority (lowest order number). When creating a new traffic selector, if this parameter is not specified, the default is `last`.
partition string | Default: "Common" | Device partition to manage resources on.
provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

source_address string |  | Specifies the host or network IP address from which the application traffic originates. When creating a new traffic selector, this parameter is required.

state
string

Choices:
- present ←
- absent

When `present`, ensures that the resource exists.
When `absent`, ensures the resource is removed.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Create a traffic selector
      bigip_traffic_selector:
        name: selector1
        destination_address: 1.1.1.1
        ipsec_policy: policy1
        order: 1
        source_address: 2.2.2.2
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
destination_address string | changed | The new Destination IP Address. Sample: 1.2.3.4/32
ipsec_policy string | changed | The new IPSec policy. Sample: /Common/policy1
order integer | changed | The new sort order. Sample: 1
source_address string | changed | The new Source IP address. Sample: 2.3.4.5/32

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)
- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.